Content: Slate Blackcurrant Watermelon Strawberry Orange Banana Apple Emerald Chocolate Marble
Background: Slate Blackcurrant Watermelon Strawberry Orange Banana Apple Emerald Chocolate Marble
Pattern: Blank Waves Notes Sharp Wood Rockface Leather Honey Vertical Triangles
Welcome to TerraFirmaCraft Forums

Register now to gain access to all of our features. Once registered and logged in, you will be able to contribute to this site by submitting your own content or replying to existing content. You'll be able to customize your profile, receive reputation points as a reward for submitting content, while also communicating with other members via your own private inbox, plus much more! This message will be removed once you have signed in.

  • Announcements

    • Dries007

      Server Move   09/13/18

      I (Dries007) have recently taken over as main developer and server admin. This involved moving servers to reduce cost. It's likely there will be some more downtime in the future but most  things should be sorted by now. This forum is in dire need of replacement as the software is quite old and can't be easily updated. If you wish to discuss or stay updated, join our discord: https://invite.gg/terrafirmacraft. The forum will remain available to read, but will be locked in the future, when a new system is setup. The forum and wiki are now ad free. If you'd like to contribute to keeping it that way, you can do so via paypal or patreon.
Bunsan

[TFC 0.79.29.922] TerrafirmaPack

140 posts in this topic

Yeah, ssp works fine with that version. I'm wondering, are there any new mod dependencies required on the server end, like codechickencore, etc. that weren't in the first build? I'll do some more testing.

Can you send me logs please.

Updated to Build 3

TFC 0.79.25.845

Added

- Item Physics Lite and its library as optional mod. Inspired by Etho.

Edited by Bunsan
0

Share this post


Link to post
Share on other sites

Tiny update. Build 3.1

 

- Fixed version references in OpenEye and Custom Menu

 

Added Mods

- Added Hardcore Darkness by lumien (comes with config that removes minimum block light and sets skylight to be dependent on phase of the moon.)

0

Share this post


Link to post
Share on other sites

Is there a possible way to get the configs to a specific mod? I'd want ItemPhysics (which crashes TFC instantly when downloading), but my computer can't handle any other mods.

0

Share this post


Link to post
Share on other sites

The configs for the Item Physics Lite mod are the default. I'm really confused what you are asking. Item Physics is crashing TFC? What does downloading have to do with it? It is a client side mod all it does is a visual thing. Please provide a better explanation of what is going wrong and provide a crash log.

0

Share this post


Link to post
Share on other sites

http://pastebin.com/P5WJ7m81

 

I may have figured it out.  It may be the required support mods on the server side aren't there or up to date.  Waiting for the admin to get home to check.  I'll let you know. 

 

BTW, the damage bug has been fixed in KCauldron 157.  :)  No more jumping into ravines without dying. :(

Edited by WillOfStone
0

Share this post


Link to post
Share on other sites

I believe the issue is that CustumMainMenu and ResourceLoader are on server. Those are clientside mods. I swear I have those set to not be in the server package, I'll double check and fix if otherwise.

1

Share this post


Link to post
Share on other sites

We're running a custom server, not the one in the launcher, so it may be our fault if those mods are present in the server folder.  We'll check it out this evening.  Thanks.

0

Share this post


Link to post
Share on other sites

Yup I have it set properly in my scripts.

0

Share this post


Link to post
Share on other sites

I deleted my .minecraft folder and installed the Forge required for the latest download of TFC. I installed only Item Physics and instantly the game crashed. Could it just be the mod that's crashing Minecraft, my computer, or the version of IP Lite I downloaded? Here is the crash log:

 

http://pastebin.com/Tsd1Z56U

Edited by iPotato13
0

Share this post


Link to post
Share on other sites

Smart moving, carpenters' blocks and perhaps an official server?

 

I was tempted to add in Smart Moving, but it causes so many issues with other mods that I am hesitant. I'll do some testing and see. 

 

Carpenters blocks needs recipe tweaks so will not be added to the pack.

Edit: oh missed Official Server thing. I have no official standing so it would just be a TFC server, which exist. I have in past helped run servers and have absolutely no interest in doing so again.

 

I deleted my .minecraft folder and installed the Forge required for the latest download of TFC. I installed only Item Physics and instantly the game crashed. Could it just be the mod that's crashing Minecraft, my computer, or the version of IP Lite I downloaded? Here is the crash log:

 

http://pastebin.com/Tsd1Z56U

 

I offer support for my packs, not general modding of TFC. The pack does not offer configs, those are auto generated by the mods, as stated in the OP.

Edited by Bunsan
0

Share this post


Link to post
Share on other sites

I believe the issue is that CustumMainMenu and ResourceLoader are on server. Those are clientside mods. I swear I have those set to not be in the server package, I'll double check and fix if otherwise.

 

That was it. We pulled from the wrong folder. lol

 

Other than that the pack is a big hit.  We'll be upgrading to build 3 soon.  Thanks again.

Edited by WillOfStone
0

Share this post


Link to post
Share on other sites

Build 3.2 

 
Updated 25/11/2015
 
Mods Updated
TerraMisc 0.6.2 to 0.6.8 (Delete your config for TerraMisc when updating.)
Automated Bellows Addon 1.02 to 1.03
Bibliocraft 1.11.2 to 1.11.3
aroma1997core 1.0.2.15 to 1.0.2.16
0

Share this post


Link to post
Share on other sites

Would it be possible to add the Merchants Containers jar to the pack? I thought it was being installed along with Merchants, but it isn't.  It adds compatibility with the Cellars storage shelves. 

 

I built a test warehouse with a cellar in it and with this installed, it recognized and pulled from the cellar storage just fine. 

 

Thanks.

0

Share this post


Link to post
Share on other sites

Build 3.3

 
Updated 30/10/2015
 
Mods Updated
Merchants Containers 1.0.1 by aleksey_t
0

Share this post


Link to post
Share on other sites

There is a bug in the 1448 version of Forge that is causing the Decorations mod to break the Ore Dictionary. This has been fixed in the latest version of forge for 1.7.10. I need to test all the mods offered with this forge version and then well likely upgrade it. Until then either disable the gem module in the decorations config (remove all placed gems first) or live with the issue.

0

Share this post


Link to post
Share on other sites

Greetings, I have sent you a private message inquiring about your pack.

0

Share this post


Link to post
Share on other sites

Yes just need to talk to my collaborator. Will get back to you.

0

Share this post


Link to post
Share on other sites

A double updated today. To deal with the forge bug fix that stops Decorations from breaking Ore Dictionary I've done both a Build 4 and an update to Build 3.

 

Build_4_0.79.25.845_New_Forge

 
Updated Mods
- Forge 1448 to 1541
- TerraMisc 0.6.8 to 0.7.0
- Bibliocraft 1.11.3 to 1.11.4
- Farseek 1.0.9 to 1.0.10
- Streams 0.1.4 to 0.1.6
 

Build 3_0.79.25.845

 
Build 3.4
 
Updated 505/11/2015
 
Mods Updated
TerraMisc 0.6.8 to 0.7.0
Bibliocraft 1.11.3 to 1.11.4
Edited by Bunsan
1

Share this post


Link to post
Share on other sites

Thanks mate. I appreciate you also update build 3, since it's the last one that has Forge compatibility with the shaders mod.

0

Share this post


Link to post
Share on other sites

I'll probably keeps these running in parallel as there may be some mods unable to be used past 1448 and it really isn't hard to do so.

0

Share this post


Link to post
Share on other sites

I have been using your modpack. It is alot easier to do this then have a bunch of mods in my mods folder.

0

Share this post


Link to post
Share on other sites

I'll probably keeps these running in parallel as there may be some mods unable to be used past 1448 and it really isn't hard to do so.

 

Just found out that the shaders mod will work with the new Forge version (included in your build 4), IF the latest Optifine mod (ultra version) is installed alongside it. 

0

Share this post


Link to post
Share on other sites

Hi Bunsan, can you add Carpenter's blocks to this modpack? Thanks!

0

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!


Register a new account

Sign in

Already have an account? Sign in here.


Sign In Now